# Class DefaultScope

Object
AbstractMetadata
ModifiableMetadata
ISOMetadata
DefaultScope
DefaultScope

All Implemented Interfaces:
  `Serializable, Emptiable, LenientComparable, IdentifiedObject, Scope`

@Deprecated(since="1.0") public class DefaultScope extends DefaultScope implements Scope
Deprecated.
As of ISO 19115:2014, `DQ_Scope` has been replaced by `MD_Scope`. The latter is defined in the `org​.apache​.sis​.metadata​.iso​.maintenance` package.
Description of the data specified by the scope.

## Limitations

- Instances of this class are not synchronized for multi-threading. Synchronization, if needed, is caller's responsibility.
- Serialized objects of this class are not guaranteed to be compatible with future Apache SIS releases. Serialization support is appropriate for short term storage or RMI between applications running the same version of Apache SIS. For long term storage, use `XML` instead.

Since:
  0.3
See Also:
  - Serialized Form

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class ModifiableMetadata

  `ModifiableMetadata​.State`

- ## Field Summary

  ### Fields inherited from class ISOMetadata

  `identifiers`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultScope()`
  Deprecated.
  Constructs an initially empty scope.
  `DefaultScope(ScopeCode level)`
  Deprecated.
  Creates a scope initialized to the given level.
  `DefaultScope(Scope object)`
  Deprecated.
  Constructs a new instance initialized with the values from the specified metadata object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DefaultScope`
  `castOrCopy(Scope object)`
  Deprecated.
  Returns a SIS metadata implementation with the values of the given arbitrary implementation.

  ### Methods inherited from class DefaultScope

  `getExtent, getExtents, getLevel, getLevelDescription, setExtent, setExtents, setLevel, setLevelDescription`

  ### Methods inherited from class ISOMetadata

  `getIdentifier, getIdentifierMap, getIdentifiers, getStandard, setIdentifier`

  ### Methods inherited from class ModifiableMetadata

  `checkWritePermission, copyCollection, copyList, copyMap, copySet, deepCopy, nonNullCollection, nonNullList, nonNullMap, nonNullSet, singleton, state, writeCollection, writeList, writeMap, writeSet`

  ### Methods inherited from class AbstractMetadata

  `asMap, asTreeTable, clone, equals, equals, getInterface, hashCode, isEmpty, nilReasons, prune, toString`

  ### Methods inherited from class Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface Scope

  `getExtent, getLevel, getLevelDescription`

- ## Constructor Details

  - ### DefaultScope

    public DefaultScope()
    Deprecated.
    Constructs an initially empty scope.

  - ### DefaultScope

    public DefaultScope(ScopeCode level)
    Deprecated.
    Creates a scope initialized to the given level.
    Parameters:
      `level` - The hierarchical level of the data specified by the scope.

  - ### DefaultScope

    public DefaultScope(Scope object)
    Deprecated.
    Constructs a new instance initialized with the values from the specified metadata object. This is a shallow copy constructor, because the other metadata contained in the given object are not recursively copied.
    Parameters:
      `object` - the metadata to copy values from, or `null` if none.
    See Also:
      - `castOrCopy(Scope)`

- ## Method Details

  - ### castOrCopy

    public static DefaultScope castOrCopy(Scope object)
    Deprecated.
    Returns a SIS metadata implementation with the values of the given arbitrary implementation. This method performs the first applicable action in the following choices:
    - If the given object is `null`, then this method returns `null`.
    - Otherwise if the given object is already an instance of `DefaultScope`, then it is returned unchanged.
    - Otherwise a new `DefaultScope` instance is created using the copy constructor and returned. Note that this is a shallow copy operation, because the other metadata contained in the given object are not recursively copied.
    Parameters:
      `object` - the object to get as a SIS implementation, or `null` if none.
    Returns:
      a SIS implementation containing the values of the given object (may be the given object itself), or `null` if the argument was null.